﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net7.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Dapper" Version="2.0.123" />
    <PackageReference Include="dbup-core" Version="5.0.10" />
    <PackageReference Include="dbup-sqlserver" Version="5.0.8" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="7.0.0" />
  </ItemGroup>


	
  <ItemGroup>
    <Content Include="SqlScripts\\**\*.*">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>


	
  <ItemGroup>
    <None Remove="SqlScripts\02_SP_0005_GetEwallet.sql" />
    <None Remove="SqlScripts\02_SP_0006_EWalletExists.sql" />
    <None Remove="SqlScripts\03_Seed_0003_EWalletBalance.sql" />
  </ItemGroup>


	
  <ItemGroup>
    <None Update="appsettings.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>
</Project>
